> For the complete documentation index, see [llms.txt](https://docs.labii.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.labii.com/admin-guide/single-sign-on/okta.md).

# Okta

## Overview

[Okta](https://www.okta.com/) is an integrated identity and mobility management service. Built from the ground up in the cloud, Okta securely and simply connects people to their applications from any device, anywhere, at any time. Okta integrates with existing directories and identity systems, as well as thousands of on-premises, cloud, and mobile applications, and runs on a secure, reliable, and extensively audited cloud-based platform.

## Setup Labii SSO with Okta

To use Okta as your SAML IdP to connect with Labii:

1. Register an account with [Okta](https://www.okta.com/).
2. Create an app: **Admin -> Applications -> Create App Integration**.
3. On the pop-out, select **SAML 2.0**, and click **Next**
4. On the **General Settings** page
   1. Set App Name to **Labii**
   2. Upload Labii logo to **App logo**. You can download a Labii icon at <https://www.labii.com/media/labii_logo_200_fill_lightblue_darkblue.png>
   3. Click **Next**
5. On the **Configure** **SAML** page
   1. Copy **Acs url** from Labii to Single-Sign-On URL.
   2. Copy **Entity Id** from Labii to Audience URI (SP Entity ID).
6. For the **Attribution statements**, add
   1. `username -> user.email`
   2. `first_name -> user.firstName`
   3. `last_name -> user.lastName`
   4. `email -> user.email`
7. Click **Next**
8. Click **Finish** to create the app.
9. On the **General** tab
   1. Under **App Settings** section, click **Edit** and set **Provisioning** to **SCIM.**
   2. Under **App Embed Link** section, copy **Embed Link** to **IdP login url** in Labii
10. On the **Sign On** tab, under **SAML Signing Certificates** section. Click the **Actions** of an active certificate, choose **View IdP metadata**. Copy the link of new tab and paste it to **Metadata auto conf url** in Labi&#x69;**.**
11. On the **Provisioning** tab
    1. Click **Edit** of **SCIM Connection**
    2. Copy **SCIM Base URL** from Labii to **SCIM connector base URL**
    3. Set **Unique identifier field for users** as "email"
    4. Check all options for **Supported provisioning actions**
    5. Choose **HTTP Header** for **Authentication Mode**
    6. Copy **SCIM Bearer Token** from Labii to **Authorization**
    7. Click **Test Connector Configuration**
    8. Click **Save**
12. Under the **To App** of the **Provisioning** tab
    1. Click **Edit** and enable all options
13. Add one or more users at **Directory -> People** of the Okta admin page.
14. Assign the application to the new user in the **Applications -> Labii -> Assignments**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.labii.com/admin-guide/single-sign-on/okta.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
